-- filename   : sample_report3.sql
-- copyright  : (c)2009 OraPub, Inc.
-- description: This is a simple report showing key stress identifier output
--		for a given run_id.

def run_id=&1

set linesize 250
col stresser_strength 	format 9990.000000
col stress_type 	format a15
col stresser_stat	format a60
col load_time 		format a18
col dt_start 		format a11
col dt_end		format a11
col day_start		format a10
col day_end		format a7
col hr_start		format a8
col hr_end		format a6
select to_char(load_time,'YYYY-MON-DD HH24:MI') load_time, stress_type,
       dt_start,dt_end,day_start,day_end,hr_start,hr_end,
       stresser_stat,stresser_strength
from opsi_result
where run_id='&run_id'
order by stress_type,load_time,stresser_strength desc
/


